# Release of CQtDeployer v1.5.0

Release of the C++/Qt and QML application deployment utility CQtDeployer v1.5.0

This is the first major update in 2021. CQtDeployer 1.5 contains many useful improvements. The biggest improvements are the addition of the ability to package deb packages, and the ability to use your own packaging template for the qt install framework.

## Complete list of all changes

## CQtDeployer 1.5.0

### New features

- Added new theme of qif installer "quasarDark".
- Added support of work with custom template for qif option.
- Added support of debian packages.
- Added support of targets icons. now the icon option work with targets but not packages.
- Added support of the control custom translation files. 
- Added support the deploy nonexecutable data. (extraData option)
- Added envirement variables for deployed applications.
- Added support of the generate deb packages.
- Added support of the generate zip arrhives.
- Added support create a qif installer using custom template
- Added command for init default qif and deb templates (getDefaulttemplate)
- Added support of import custom launch scripts
- Added support of md5 packages hashes
- Added support of Qt6.1 

### Fixes

- Fixed stability for the deploySystem option on windows
- Fixed verbose log.
- Fixed general output log.
- Fixed typo errors in log.
- Fixed cross-deployment for ARM platform . 
- Fixed deploy Qt6 qml 
- Fixed powershell commands on Windows
- bug fixes and improvements.


### New Envirement Variables

- CQT_RUN_FILE - This variable contains path to the run script of the using application.
- CQT_PKG_ROOT - This variable contains path to root of the current package.

### New parameters

- zip - create a ZIP archive for deployable programm
- deb - Create the deb package for deployable programm
- homepage - Sets the homepage url for a package
- noQt - Ignors the error of initialize of a qmake. Use only if your application does not use the qt framework
- allowEmptyPackages -  Allows configure the empty packages.  
- getDefaultTemplate - Extracts defaults deb or qif templates.
- tr -  Adds qm files into the translations folder.
- extraData - Adds the extra files or directories like a target. The selected directory will be copy to the extraDataOut location with save own structure.
- extraDataOut - Sets path to extra data files out directory.
- prefix - Sets the prefix for the package relatively a target directory
- homePage - Sets the homepage url for a package
- binPrefix - Sets prefix for bin option.
- noHashSum - Disables campute hashes of packages

### Deprecated and removed options

- deploySystem-with-libc - instead of this option use the deploySystem option.
- allQmlDependes - instead of this option use the qmlDir option.


## Detailed analysis of the most interesting changes.

### Debian pacakges
This feature is very conveniently if you want to create server application.
For example i need to create simple server for my simple game. 
And my steps:
* build my application in the release mode.
* run cqtdeployer with deb option.

```bash
cqtdeployer -bin mySimpleServer deb -qmake ~/Qt/5.15.2/gcc_64/bin/qmake
```
The SimpleServer depends only on qt, so it was enough for me to specify only the path to qmake for my application.

It is all!!!. And i get the workly deb package.
By Default CQtDeployer create an independet debian packages.


### Zip arrhives
This feature allow compress your distribution pacakges to zip arrhive.

Example:
```bash
cqtdeployer -bin mySimpleServer zip -qmake ~/Qt/5.15.2/gcc_64/bin/qmake
```

### Custom Qt Installer Framework tempaltes.

Now you can override default template of the cqtdeployer. To do this, you must pass the path to your template to the qif parameter.

```
cqtdeployer ... -qif /path/to/my/custom/qif/template
```

### Template
The qif template should contain 2 folders:
* packages
* config

### Attention
The name of the packages in the packages folder must match the names of the packages during deployment.

For example:
``` json
"targetPackage": [
    [
        "myCustomInstaller",
        "tar1"
    ]
],
```

``` bash
.
├── config
│ ├── config.xml
│ └── style.qss
└── packages
    └── myCustomInstaller
        └── meta
            ├── installscript.qs
            └── package.xml

4 directories, 4 files

```

If the folder names do not match the package names then CQtDeployer will use the standard QIF package.

If you have only one package then you can use the **name** option for set name the application.

```bash
cqtdeployer ... -qif /path/to/my/custom/qif/template -name myCustomInstaller
```

#### Do not forget to rename the your package folder to the packaga name of the name option.


```bash
.
├── config
│   ├── config.xml
│   └── style.qss
└── packages
    └── myCustomInstaller  << "This is folder of the your package"
        └── meta
            ├── installscript.qs
            └── package.xml

4 directories, 4 files

```
