# Release of CQtDeployer v1.6

Release of the C++/Qt and QML application deployment utility CQtDeployer v1.6

This is major release that include more improvements in build system.
From now cqtdeployer using CMake build system. So from now build from source will be easier.

## Complete list of all changes

## CQtDeployer 1.6

### New features

- Move to Cmake build system
- Refactoring all project structure
- Improved QML parser 
- Add support qt 6.4 
- Added support (snap version) deploy apps that was buildet with Qt from system

### Fixes

- Fixed snap version of cqtdeployer
- Fixed deploy of windows apps
- Fixed documentation web city (added support of backend search engine)

### New options of the build 

- **CQT_DEPLOYER_TESTS** "This option disables or enables tests of the CQtDeployer project. By Default enabled
- **CQT_DEPLOYER_TOOL** "This option disables or enables example app of the CQtDeployer project. By Default enabled


## Detailed analysis of the most interesting changes.

### New build system 

From now, you can build cqtdeployer from source easier

- just clone project 
 
    ``` bash
    
    git clone https://github.com/QuasarApp/CQtDeployer.git
    git submodule update --init --recursive
    cd CQtDeployer
    
    ```
    
- create temp build directory

    ``` bash
    
    mkdir build 
    cd build
    
    ```
    
- run cmake (this step requires install Qt libraries, you can install qt from system or from official site of Qt corporation.)

    ``` bash
    
    cmake .. -DCMAKE_PREFIX_PATH=/path/to/qt/root/dir
    
    ```
    
- build cqtdeployer 

    ``` bash
    
    make -j8
    
    ```
    
- create installers and packages (this step requires installers cqtdeployer tool)

    ``` bash
    
    make deploy 
    
    ```
    
Done.


### Note 

If you do not have installed cqtdeployer on your build machine, you can compile cqtdeployer tool as a static. For this, disable the BUILD_SHARED_LIBS option.

```bash

cmake .. -DBUILD_SHARED_LIBS=0
make install

```

If you want to change Qt, Just run cmake with override qt location.

```bash

cmake .. -DCMAKE_PREFIX_PATH=/path/to/qt/root/dir
# or
cmake .. -DCMAKE_PREFIX_PATH=~/Qt/6.4.3/gcc_64

```
    
