# Журнал изменений

Журнал изменений для всех версий CQtDeployer.


## CQtDeployer 1.5.4

### Новые параметры
* qifConfig - Устанавливает собственный путь к файлу конфигурации установщика qt ifw. По умолчанию это qif/config/config.xml #653.
* qifPackages - Устанавливает собственный путь к каталогам пакетов. По умолчанию это qif/packages #653.
* qifResources - Устанавливает собственный путь к файлам ресурсов. По умолчанию эта опция пропущена #653
* debOut - Устанавливает имя выходного файла debian. Эта опция может работать с несколькими пакетами
* zipOut - Устанавливает имя выходного zip-архива. Эта опция может работать с несколькими пакетами

### Исправление ошибок :

* исправлено crossdeploy linux -> windows # 652 


## CQtDeployer 1.5.3

### Новые параметры

* installDirDeb - Устанавливает целевой каталог установки для пакета debian (по умолчанию это / opt путь) 
* installDirQIFW - Устанавливает целевой каталог установки для установщиков (по умолчанию это / home путь) 

### Исправления
* Исправлено предупреждение при установке В windows 
* Добавлена пороверка параметров ввода 
* Добавлено сообщение об ошибке из-за конфликта между опциями libDir и targetDir  

## CQtDeployer 1.5.2

### Новые параметры

* Добавлена опция **qifOut** для установки имени установщика
* Добавлена опция **disableRunScript** для отключения генерации сценария запуска для выбранных целей
* Добавлена опция **disableShortCut** для отключения генерации ярлыка для выбранных целей

### Исправления

* Фикс документации
* Фикс развертывания библиотек openssl

## CQtDeployer 1.5.1

### Исправления

* Исправлено развертывание многоцелевых пакетов Debian
* Фикс развертывания qt6 qml приложений

## CQtDeployer 1.5.0

### Нововведения

- Добавлена новая тема установщика qif "quasarDark".
- Добавлена поддержка работы с кастомным шаблоном для опции qif.
- Добавлена поддержка пакетов debian.
- Добавлена поддержка иконок для целей. теперь опция icon работает с целями, а не с пакетами.
- Добавлена поддержка управления файлами пользовательского перевода.
- Добавлена поддержка развертывания дополнительных файлов. (опция extraData)
- Добавлены переменные окружения для развернутых приложений.
- Добавлена поддержка создания пакетов deb.
- Добавлена поддержка создания zip-архивов.
- Добавлена поддержка создания установщика qif с использованием настраиваемого шаблона.
- Добавлена команда инициализации qif по умолчанию шаблона deb (getDefaulttemplate)
- Добавлена поддержка импорта пользовательских скриптов запуска.
- Добавлена поддержка хэш сумм md5 для всех пакетов.
- Добавлена поддержка Qt6.1.

### Исправления

- Исправлена стабильность для опции deploySystem в Windows.
- Исправлен подробный журнал.
- Исправлен общий журнал вывода.
- Исправлены опечатки в логе.
- Исправлено кросс-развертывание arm дистрибутива.
- Исправлено развертывание Qt6 qml
- Исправлены команды PowerShell в Windows.
- исправления ошибок и улучшения.

### Новые переменные среды

- CQT_RUN_FILE - эта переменная содержит путь к сценарию выполнения используемого приложения.
- CQT_PKG_ROOT - эта переменная содержит путь к корню текущего пакета.

### Новые параметры

- zip - создать ZIP-архив для развертываемых программ
- deb - Создаст deb пакет для развертываемой программы
- homepage - Установит URL-адрес домашней страницы для пакета
- noQt - Игнорирует ошибку инициализации qmake. Используйте только в том случае, если ваше приложение не использует платформу qt
- allowEmptyPackages - разрешает настраивать пустые пакеты.
- getDefaultTemplate - Извлекает шаблоны deb или qif по умолчанию.
- tr - Добавляет qm файлы в папку переводов.
- extraData - Добавляет дополнительные файлы или каталоги как цель. Выбранный каталог будет скопирован в расположение extraDataOut с сохранением собственной структуры.
- extraDataOut -  Устанавливает путь к каталогу с дополнительными файлами данных. По умолчанию это корневой каталог дистрибутива.
- prefix - Устанавливает префикс для пакета относительно целевого каталога
- homePage - Установит URL-адрес домашней страницы для пакета
- binPrefix - Устанавливает путь префикса для опции bin
- noHashSum - Отключить вычисление хеш-суммы пакетов

### Устаревшие и удаленные параметры

- deploySystem-with-libc - вместо этого параметра используйте параметр deploySystem.
- allQmlDependes - вместо этого параметра используйте параметр qmlDir.

## CQtDeployer 1.5.0 Alpha

### Исправления
- исправления ошибок и улучшения.

### Новые особенности
- Добавлена новая тема для установщика qif "quasarDark".

### Новые параметры
- zip - создать ZIP-архив для развертываемых программ

## CQtDeployer 1.4.7
### Исправления
- Исправлено развертывание плагина qxcb. #438
- Исправлено развертывание модуля qtGui. #446

### Новые возможности
- Добавлена поддержка Qt6. #437
- Добавлена поддержка Qt installer Framework 4 (с улучшенным интерфейсом командной строки)ю #436

## CQtDeployer 1.4.6
### Исправления
- Исправлено развертывание драйверов sql #367.
- Исправлен алгоритм развертывания библиотек. #423 #371
- Исправлена работа с qt из системного репозитория linux. (только классический установщик) #422
- Исправлена snap версия cqtdeployer, добавлена поддержка поиска qmake по RPATH #424 #420
- Исправлен хелп.
- Мелкие исправления и улучшения.
- Удалена устаревшая опция extractPlugins. #371

### Новые параметры
- noQt - игнорирует ошибку инициализации qmake. Используйте только в том случае, если ваше приложение не использует платформу qt.

## CQtDeployer 1.4.5
### Исправления
- Оптимизирована производительность развертывания проектов. На 60% быстрее.
- Оптимизирован выходной размер дистрибутивов. Размер уменьшен на 25%.
- Исправлено отображение ярлыков после установки развернутых приложений.
- Исправлен запуск приложений с пробелами в имени. спасибо ahndee (#384)
- Исправлено развертывание плагина Renderer.
- Незначительные исправления и улучшения.

### Новые особенности
- Добавлена новая система управления плагинами развертывания.

### Новые опции

- extraPlugin - устанавливает дополнительный путь к сторонним плагина приложения
- enablePlugins - включает дополнительные плагины для распространения.
- disablePlugins - отключает плагины для распространения.

## CQtDeployer 1.4.4

### New options
- qifFromSystem - Принудительно использовать системный инструмент binarycreator из path или qt

## CQtDeployer 1.4.3
### Исправления
- Исправленно отображение приложения скаченого из snap store и установщика в меню настроек приложений ubuntu 20.04

### Нововведения
- Добавленна поддержка рекурсивного добовления для флага ignoreEnv #356

### Новые опции
- noRecursiveiIgnoreEnv - Отключает рекурсивное игнорирование переменной среды для флага ignoreEnv.


## CQtDeployer 1.4.2
### Исправления

- исправлено #337 (ошибка генерации установщика с произвольным именем)
- исправлено #338 (версия Windows собирает pdb файлы)
- исправлено #339 (ошибка показа всех справочных сообщений)
- исправлено #340 (cqdeployer не добавлял каталоги целей в "ignore")
- исправлено #341 (опция очистки не удаляет старый установщик)


## CQtDeployer 1.4.1

### Исправления
- Исправлено не развертывание тем платформ (#324)
- Исправлено создание ярлыков на Windows (#322)
- Незначительные улучшения и исправления

## CQtDeployer 1.4.0
### Исправления 
- Исправлен вывод справки в консоли, теперь перед выводом пересчитывается реальный размер консоли, что позволяет выполнять правильно переносы текста. 
- Исправлена работа с развертыванием плагинов Qt. Теперь плагины не тянут за собой все системные зависимости, а только qt. Захват системных зависимостей приводил к падению приложений из-за несовместимости библиотек плагинов.
- Мелкие исправления и улучшения. 

### Нововведения
- Добавлена поддержка поиска qmake из системного окружения.
- Добавлена возможность инициализировать репозиторий для дальнейшей упаковки аналогично git init.
- Добавлена поддержка Qt Install Framework пакетов. Теперь можно запаковать дистрибутив в инсталлятор.
- Добавлена возможность разбивать конечный дистрибутив на несколько пакетов.
- Добавлен механизм позволяющий унифицировать создание пакетов для конечного дистрибутива. 
- Добавлена поддержка добавления пользовательских скриптов в скрипты запуска приложений.
- Добавлена поддержка сборки системных зависимостей для Windows.
- Добавлена поддержка RPATH для Linux. Теперь cqtdeployer может самостоятельно определить нужный qmake для развертывания приложения.
- Добавлена поддержка поиска необходимой зависимости по имени библиотеки. 
- Добавлена поддержка Qt библиотек из репозиториев Linux дистрибутивов.
- Добавлены новые псевдонимы для команды запуска (cqt и cqtdeployer.cqt) для быстрого развертывания приложений.
- Добавлена поддержка собственного имени команды для windows. Теперь вы можете запустить cqtdeployer написав cqtdeployer в cmd и powershell.

### Новые опции
- init - инициализирует файл cqtdeployer.json (файл конфигурации). Например: «cqtdeployer init» - для инициализации конфигурации одного пакета. "cqtdeployer -init multi" - для инициализации конфигурации нескольких пакетов.
- noCheckRPATH - отключает автоматический поиск путей к qmake в исполняемых файлах (Только Linux).
- noCheckPATH - отключает автоматический поиск путей к qmake в системном окружении.
- extractPlugins - заставляет извлекать все зависимости плагинов.
- qif - создает инсталлятор в конце развертывания. 
- extraLibs - добавляет шаблон дополнительной библиотеки, которая должна будет попасть в дистрибутив. 
- customScript - добавляет пользовательский скрипт в скрип запуска приложения. 
- -targetPackage [package;tar1,package;tar2] - используется для формирования пакетов, обозначает списки целевых файлов для определенных пакетов. 
- recOut - указывает в какую папку будут складываться ресурсы после развертывания. 
- name - устанавливает имя пакета.
- description - устанавливает описание пакета
- deployVersion - устанавливает версию пакета
- releaseDate - дата релиза пакета.
- icon - иконка пакета.
- publisher - издатель пакета. 
- qifStyle - Устанавливает путь к CSS файлу стиля или устанавливает стиль по умолчанию. Доступные стили: quasar
- qifBanner - Устанавливает путь к png-файлу баннера.
- qifLogo - Устанавливает путь к файлу логотипа png.

---

## CQtDeployer 1.3.2
- Исправлено #218 (CQtDeployer добавлял sh-скрипты для целевых библиотек.)
- Исправлено #217 (опция qmake не работала с файлом конфигурации.)
---

## CQtDeployer 1.3.1
- Исправлена задача #191 (команда игнорирования для плагинов)
- Исправлена задача #192 (неверный путь при создании файла развертывания)
- Исправлены абсолютные пути к файлу conf
---

## CQtDeployer 1.3.0
- Добавлена поддержка qt.conf для Linux
- Добавлена поддержка конфигурационного файла для проекта (deploy.json) со всеми правилами развертывания, для создания deploy.json используйте флаг -confFile [./path/to/file.json].
- Добавлена поддержка выходных каталогов для всех файлов развертывания #145,
- Добавлена поддержка развертывания WebEngine #146.
- Добавлена поддержка нескольких пакетов в установщике cqtdeployer.
- Переименован проект из Console-QtDeployer в CQtDeployer #139
- Исправлено развертывание системных библиотек в linux #172
- Добавлены новые тесты приложения
- Удален флаг noLibC и добавлен флаг deploySystem-with-libc. Если вам нужен в программе libc используйте флаг deploySystem-with-libc, а если нет то пользуйтесь deploySystem.
- Заменен флаг always-overwrite на noOverwrite, теперь все файлы по умолчанию перезаписываются, используйте noOverwrite для отключения перезаписи. 
---

## CQtDeployer 1.2.3
- Добавлена поддержка qt.conf для сборок Windows #130
- Исправлена ошибка #129, теперь флаг «очистить» удаляет только скопированные файлы.
- Исправлен флаг ignoreEnv
- Исправлен флаг deploySystem
---

## CQtDeployer 1.2.2
- Добавлен новый флаг noLibc для игнорирования библиотек libc и li-linux
- Исправлена #125 ошибка развертывания системных библиотек (работает с простыми проектами, для больших проектов не рекомендуется)
- Исправлен флаг ignoreEnv
---

## CQtDeployer 1.2.1
- Добавлен новый флаг игнорирования (ignoreEnv). Этот флаг отключает ненужную среду
- Добавлена поддержка QIFW (онлайн-установщик для Windows и других дистрибутивов Linux)
- Добавлено обновление утилиты для Windows и других дистрибутивов Linux (не Snap)
- Исправлена ошибка № 116 (копирование файлов со съемного носителя)
- Исправлена ошибка № 115 (создание цели в папке с русским именем)
- Исправлен большой размер версии msvc
- Исправлено кросс-развертывание Linux >> Windows
- Удалены старые скрипты сборки
---

## CQtDeployer 1.2.0
- Добавлен собственный сканер зависимостей qml.
- Перешел на новый [сканер PE-Lib](https://github.com/QuasarApp/pe-parse/tree/7138bb218a05c81d825728ba8a0a6f6a56c4fdbc).
- Перешел на новый [ELF-lib сканер](https://github.com/qt/qttools/blob/b0147a5d79ce7a7e77a24f36aaddfacb1a1517c8/src/shared/winutils/elfreader.h).
- Добавлены новые юнит-тесты.
- Добавлена поддержка версии Snap (только домашний каталог).
- Добавлен новый флаг qmlExtern - для использования сканера импорта qt qml.
- Добавлена поддержка уровней подробного журнала (0-3).
- Исправлен журнал развертывания приложения.
- Исправлено развертывание приложения в версии Snap.
---

## CQtDeployer 1.1.2
- Добавлена поддержка переводов
- Добавлен флаг для отключения развертывания переводов
- Добавлена strip для Linux
- Добавлены юнит-тесты
- Исправлено развертывание в динамической версией
- Исправлена ошибка развертывания на текущем каталоге с привязкой и статической версией.
---

## CQtDeployer 1.1.1
- Исправлена сборка qml в диномисечкой версии
- Исправленна работа флага -recursiveDepth
- Исправленна работа флага -libDir
- Исправленно копирование библиотек по ссылке
- Почищен вывод приложения, часть лога перенесенна в verbose 
---

## CQtDeployer 1.1.0
- Добавлена поддержка windows (только динамическая линковка)
- Добавлена поддержка snap (теперь доступно в snapstore) 
- Добавлены сборочные скрипты для snap
- Добавлен флаг binDir позволяющий рекурсивно захватывать exe dll и so
- Изменена логика работы флага bin теперь если выбрать в место файла папку то будет захвачено все ее содержимое
- Изменена и исправлена логика работы флага clear теперь он чистит все развернутое содержимое по определенному таргету.
- Добавлен флаг targetDir который определяет место где будет лежать развернутый проект 
- Изменена структура развернутого проекта, теперь все оболочки запуска лежат в корне а бинарники в папке bin, для каждого бинарника создается одноименный скрипт запуска. 
- Удален старый флаг runScript из-за смены логики развертывания 
- Добавлен флаг verbose для отладки по 
- Исправлены ошибки производительности
---

## CQtDeployer 1.0.2
- Добавлен скрипт для сборки (динамический и статический выпуск)
- Добавлен флаг -libDir для установки дополнительного пути для дополнительных библиотек приложения
- Добавлен флаг -extraPlugin для установки дополнительного пути для дополнительных плагинов приложения
- Добавлена сборка только для С библиотек
- Исправленно развертывание
- Исправлен сценарий запуска
- Исправлена статическая сборка
---

## CQtDeployer 1.0.1
- Исправлена ошибка развертывания qml (избыточность)
- Исправлен скрипт запуска приложения

---

## CQtDeployer 1.0.0
- Добавлен флаг runScript
- Добавлен флаг allQmlDependes
- Исправлена ошибка развертывания qml
- Исправлена ошибка развертывания плагинов
- Добавлена поддержка статической сборки
