# Использование DEB

Общие правила использования DEB

#### Доступно с версии CQtDeployer 1.5

### Как использовать опцию DEB

Просто добавьте в cqtdeployer опцию «deb».

#### Например:

``` bash
     cqtdeployer ... deb
```

Где:
* **...** - список других опций.
* **deb** - опция для создания deb пакетов.


По умолчанию cqtdeployer создает один deb пакет .
Если вы хотите создать несколько пакетов, вы должны использовать [Параметры управления пакетами](Options.md)
Чтобы создать новый пакет, используйте -targetPackage [package; tar1]

cqtdeployer создает вуи пакет для каждого пакета.

Где:

* **package** - это название пакета
* **tar1** - это имя цели, которая должна быть включена в этот пакет.

Или вы можете описать пакеты в [файле конфигурации](DeployConfigFile.md)


```JSON
{
"targetPackage": [
     [
         "package",
         "Tar1"
     ],
],
"deb": true
}
```

# Использование собственных шаблонов для создания деб пакетов

Вы можете создать собственный шаблон для пакетов debian.

### Структура пакета debian:


```bash
└── Debian templates
    ├── debPacakge1
    │   └── DEBIAN
    │       ├── control
    │       ├── postinst
    │       └── prerm
    └── debPacakge2
        └── DEBIAN
            ├── control
            ├── postinst
            └── prerm

```

Для включения ваших шаблонов в дистрибутив вам необходимо добавить путь к папке шаблонов Debian в deploy Config.json.

```json
{
"targetPackage": [
    [
        "debPacakge1",
        "tar1"
    ],
    [
        "debPacakge2",
        "tar2"
    ],
],
"deb": "./Debian templates"
}
```


## Инициализация шаблона debian

Для инициализации шаблонов по умолчанию вы можете использовать параметр getDefaultTemplate.
Параметр getDefaultTemplate извлекает шаблон по умолчанию для cqtdeployer. Это может быть очень удобно, если вы хотите переопределить поведение установщика или другого пакета распространения по умолчанию.

### Пример

### Получение шаблона debian по умолчанию.

```bash
cqtdeployer getDefaultTemplate deb
```
