#include "modulesqt6_3.h"

ModulesQt63::ModulesQt63() {

}

QSet<QString> ModulesQt63::qmlLibs(const QString &distDir) const {

    TestUtils utils;

    auto Tree = qtLibs(distDir);

    Tree = ignoreFilter(Tree, "/QtWidgetsProject");
    Tree = ignoreFilter(Tree, "Qt6Widgets");

#ifdef Q_OS_WIN
    Tree -= utils.createTree(
            {"./" + distDir + "/plugins/styles/qwindowsvistastyle.dll"}
        );

    Tree += utils.createTree(
        {
            "./" + distDir + "/Qt6Network.dll",
            "./" + distDir + "/Qt6OpenGL.dll",
            "./" + distDir + "/Qt6Qml.dll",
            "./" + distDir + "/Qt6QmlModels.dll",
            "./" + distDir + "/Qt6QmlWorkerScript.dll",
            "./" + distDir + "/Qt6Quick.dll",
            "./" + distDir + "/Qt6QuickControls2.dll",
            "./" + distDir + "/Qt6QuickControls2Impl.dll",
            "./" + distDir + "/Qt6QuickLayouts.dll",
            "./" + distDir + "/Qt6QuickShapes.dll",
            "./" + distDir + "/Qt6QuickTemplates2.dll",
            "./" + distDir + "/TestQMLWidgets.bat",
            "./" + distDir + "/TestQMLWidgets.exe",
            "./" + distDir + "/qml/QtQml/Models/modelsplugin.dll",
            "./" + distDir + "/qml/QtQml/Models/plugins.qmltypes",
            "./" + distDir + "/qml/QtQml/Models/qmldir",
            "./" + distDir + "/qml/QtQml/WorkerScript/plugins.qmltypes",
            "./" + distDir + "/qml/QtQml/WorkerScript/qmldir",
            "./" + distDir + "/qml/QtQml/WorkerScript/workerscriptplugin.dll",
            "./" + distDir + "/qml/QtQml/plugins.qmltypes",
            "./" + distDir + "/qml/QtQml/qmldir",
            "./" + distDir + "/qml/QtQml/qmlplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/AbstractButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Action.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ActionGroup.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ApplicationWindow.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/BusyIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Button.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ButtonGroup.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Calendar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/CalendarModel.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/CheckBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/CheckDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ComboBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Container.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Control.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/DayOfWeekRow.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/DelayButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Dial.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Dialog.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/DialogButtonBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Drawer.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Frame.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/GroupBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/HorizontalHeaderView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ItemDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Label.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Menu.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/MenuBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/MenuBarItem.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/MenuItem.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/MenuSeparator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/MonthGrid.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Page.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/PageIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Pane.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Popup.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ProgressBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/RadioButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/RadioDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/RangeSlider.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/RoundButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ScrollBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ScrollIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ScrollView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/SelectionRectangle.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Slider.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/SpinBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/SplitView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/StackView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/SwipeDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/SwipeView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Switch.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/SwitchDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/TabBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/TabButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/TextArea.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/TextField.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ToolBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ToolButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ToolSeparator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/ToolTip.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/TreeViewDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/Tumbler.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/VerticalHeaderView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/WeekNumberColumn.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/impl/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/impl/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/impl/qtquickcontrols2basicstyleimplplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/Basic/qtquickcontrols2basicstyleplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/ApplicationWindow.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/BusyIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Button.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/CheckBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/CheckDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/ComboBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/DelayButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Dial.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Dialog.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/DialogButtonBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Drawer.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Frame.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/GroupBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/HorizontalHeaderView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/ItemDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Label.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Menu.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/MenuBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/MenuBarItem.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/MenuItem.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/MenuSeparator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Page.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/PageIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Pane.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Popup.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/ProgressBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/RadioButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/RadioDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/RangeSlider.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/RoundButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/ScrollBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/ScrollIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/ScrollView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/SelectionRectangle.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Slider.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/SpinBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/SplitView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/SwipeDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Switch.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/SwitchDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/TabBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/TabButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/TextArea.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/TextField.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/ToolBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/ToolButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/ToolSeparator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/ToolTip.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/Tumbler.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/VerticalHeaderView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/ButtonPanel.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/CheckIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/RadioIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/SliderGroove.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/SliderHandle.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/SwitchIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/qtquickcontrols2fusionstyleimplplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/Fusion/qtquickcontrols2fusionstyleplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/ApplicationWindow.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/BusyIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Button.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/CheckBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/CheckDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/ComboBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/DelayButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Dial.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Dialog.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/DialogButtonBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Drawer.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Frame.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/GroupBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/HorizontalHeaderView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/ItemDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Label.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Menu.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/MenuItem.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/MenuSeparator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Page.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/PageIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Pane.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Popup.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/ProgressBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/RadioButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/RadioDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/RangeSlider.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/RoundButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/ScrollBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/ScrollIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/ScrollView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/SelectionRectangle.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Slider.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/SpinBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/SplitView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/StackView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/SwipeDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/SwipeView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Switch.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/SwitchDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/TabBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/TabButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/TextArea.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/TextField.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/ToolBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/ToolButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/ToolSeparator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/ToolTip.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/Tumbler.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/VerticalHeaderView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/impl/OpacityMask.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/impl/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/impl/qtquickcontrols2imaginestyleimplplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/Imagine/qtquickcontrols2imaginestyleplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/Material/ApplicationWindow.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/BusyIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Button.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/CheckBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/CheckDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/ComboBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/DelayButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Dial.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Dialog.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/DialogButtonBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Drawer.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Frame.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/GroupBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/HorizontalHeaderView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/ItemDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Label.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Menu.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/MenuBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/MenuBarItem.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/MenuItem.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/MenuSeparator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Page.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/PageIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Pane.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Popup.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/ProgressBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/RadioButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/RadioDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/RangeSlider.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/RoundButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/ScrollBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/ScrollIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/ScrollView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/SelectionRectangle.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Slider.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/SpinBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/SplitView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/StackView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/SwipeDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/SwipeView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Switch.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/SwitchDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/TabBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/TabButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/TextArea.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/TextField.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/ToolBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/ToolButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/ToolSeparator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/ToolTip.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/Tumbler.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/VerticalHeaderView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/impl/BoxShadow.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/impl/CheckIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/impl/CursorDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/impl/ElevationEffect.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/impl/RadioIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/impl/RectangularGlow.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/impl/SliderHandle.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/impl/SwitchIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Material/impl/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/Material/impl/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/Material/impl/qtquickcontrols2materialstyleimplplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/Material/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/Material/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/Material/qtquickcontrols2materialstyleplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/ApplicationWindow.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/BusyIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Button.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/CheckBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/CheckDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/ComboBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/DelayButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Dial.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Dialog.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/DialogButtonBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Drawer.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Frame.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/GroupBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/HorizontalHeaderView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/ItemDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Label.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Menu.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/MenuBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/MenuBarItem.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/MenuItem.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/MenuSeparator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Page.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/PageIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Pane.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Popup.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/ProgressBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/RadioButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/RadioDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/RangeSlider.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/RoundButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/ScrollBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/ScrollIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/ScrollView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/SelectionRectangle.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Slider.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/SpinBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/SplitView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/StackView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/SwipeDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Switch.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/SwitchDelegate.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/TabBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/TabButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/TextArea.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/TextField.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/ToolBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/ToolButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/ToolSeparator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/ToolTip.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/Tumbler.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/VerticalHeaderView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/CheckIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/RadioIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/SwitchIndicator.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/qtquickcontrols2universalstyleimplplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/Universal/qtquickcontrols2universalstyleplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/Button.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/CheckBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/ComboBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/Frame.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/GroupBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/ProgressBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/RadioButton.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/ScrollBar.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/ScrollView.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/SelectionRectangle.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/Slider.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/SpinBox.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/TextArea.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/TextField.qml",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/Windows/qtquickcontrols2windowsstyleplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/impl/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/impl/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/impl/qtquickcontrols2implplugin.dll",
            "./" + distDir + "/qml/QtQuick/Controls/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Controls/qmldir",
            "./" + distDir + "/qml/QtQuick/Controls/qtquickcontrols2plugin.dll",
            "./" + distDir + "/qml/QtQuick/Layouts/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Layouts/qmldir",
            "./" + distDir + "/qml/QtQuick/Layouts/qquicklayoutsplugin.dll",
            "./" + distDir + "/qml/QtQuick/NativeStyle/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/NativeStyle/qmldir",
            "./" + distDir + "/qml/QtQuick/NativeStyle/qtquickcontrols2nativestyleplugin.dll",
            "./" + distDir + "/qml/QtQuick/Shapes/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Shapes/qmldir",
            "./" + distDir + "/qml/QtQuick/Shapes/qmlshapesplugin.dll",
            "./" + distDir + "/qml/QtQuick/Templates/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/Templates/qmldir",
            "./" + distDir + "/qml/QtQuick/Templates/qtquicktemplates2plugin.dll",
            "./" + distDir + "/qml/QtQuick/Window/qmldir",
            "./" + distDir + "/qml/QtQuick/Window/quickwindow.qmltypes",
            "./" + distDir + "/qml/QtQuick/Window/quickwindowplugin.dll",
            "./" + distDir + "/qml/QtQuick/plugins.qmltypes",
            "./" + distDir + "/qml/QtQuick/qmldir",
            "./" + distDir + "/qml/QtQuick/qtquick2plugin.dll",
            "./" + distDir + "/translations/qtdeclarative_ar.qm",
            "./" + distDir + "/translations/qtdeclarative_bg.qm",
            "./" + distDir + "/translations/qtdeclarative_ca.qm",
            "./" + distDir + "/translations/qtdeclarative_da.qm",
            "./" + distDir + "/translations/qtdeclarative_de.qm",
            "./" + distDir + "/translations/qtdeclarative_en.qm",
            "./" + distDir + "/translations/qtdeclarative_es.qm",
            "./" + distDir + "/translations/qtdeclarative_fa.qm",
            "./" + distDir + "/translations/qtdeclarative_fi.qm",
            "./" + distDir + "/translations/qtdeclarative_fr.qm",
            "./" + distDir + "/translations/qtdeclarative_hr.qm",
            "./" + distDir + "/translations/qtdeclarative_hu.qm",
            "./" + distDir + "/translations/qtdeclarative_ja.qm",
            "./" + distDir + "/translations/qtdeclarative_ko.qm",
            "./" + distDir + "/translations/qtdeclarative_lv.qm",
            "./" + distDir + "/translations/qtdeclarative_nl.qm",
            "./" + distDir + "/translations/qtdeclarative_nn.qm",
            "./" + distDir + "/translations/qtdeclarative_pl.qm",
            "./" + distDir + "/translations/qtdeclarative_pt_BR.qm",
            "./" + distDir + "/translations/qtdeclarative_ru.qm",
            "./" + distDir + "/translations/qtdeclarative_sk.qm",
            "./" + distDir + "/translations/qtdeclarative_tr.qm",
            "./" + distDir + "/translations/qtdeclarative_uk.qm",
            "./" + distDir + "/translations/qtdeclarative_zh_CN.qm",
            "./" + distDir + "/translations/qtdeclarative_zh_TW.qm"
        }
        );

#else
    Tree += utils.createTree(
                {
                    "./" + distDir + "/TestQMLWidgets.sh",
                    "./" + distDir + "/bin/TestQMLWidgets",
                    "./" + distDir + "/lib/libQt6Qml.so",
                    "./" + distDir + "/lib/libQt6QmlModels.so",
                    "./" + distDir + "/lib/libQt6QmlWorkerScript.so",
                    "./" + distDir + "/lib/libQt6Quick.so",
                    "./" + distDir + "/lib/libQt6QuickControls2.so",
                    "./" + distDir + "/lib/libQt6QuickControls2Impl.so",
                    "./" + distDir + "/lib/libQt6QuickShapes.so",
                    "./" + distDir + "/lib/libQt6QuickTemplates2.so",
                    "./" + distDir + "/lib/libQt6WaylandCompositor.so",
                    "./" + distDir + "/lib/libQt6WaylandEglCompositorHwIntegration.so",
                    "./" + distDir + "/plugins/tls/libqcertonlybackend.so",
                    "./" + distDir + "/plugins/tls/libqopensslbackend.so",
                    "./" + distDir + "/plugins/wayland-decoration-client/libbradient.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-client/libdmabuf-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-client/libdrm-egl-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-client/libqt-plugin-wayland-egl.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-client/libshm-emulation-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-client/libvulkan-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-dmabuf-server-buffer.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-drm-egl-server-buffer.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-linux-dmabuf-unstable-v1.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-shm-emulation-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-vulkan-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-wayland-egl.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-wayland-eglstream-controller.so",
                    "./" + distDir + "/qml/QtQml/Models/libmodelsplugin.so",
                    "./" + distDir + "/qml/QtQml/Models/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQml/Models/qmldir",
                    "./" + distDir + "/qml/QtQml/WorkerScript/libworkerscriptplugin.so",
                    "./" + distDir + "/qml/QtQml/WorkerScript/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQml/WorkerScript/qmldir",
                    "./" + distDir + "/qml/QtQml/libqmlplugin.so",
                    "./" + distDir + "/qml/QtQml/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQml/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/AbstractButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Action.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ActionGroup.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ApplicationWindow.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/BusyIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Button.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ButtonGroup.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Calendar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/CalendarModel.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/CheckBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/CheckDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ComboBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Container.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Control.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/DayOfWeekRow.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/DelayButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Dial.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Dialog.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/DialogButtonBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Drawer.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Frame.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/GroupBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/HorizontalHeaderView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ItemDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Label.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Menu.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/MenuBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/MenuBarItem.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/MenuItem.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/MenuSeparator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/MonthGrid.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Page.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/PageIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Pane.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Popup.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ProgressBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/RadioButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/RadioDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/RangeSlider.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/RoundButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ScrollBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ScrollIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ScrollView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/SelectionRectangle.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Slider.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/SpinBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/SplitView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/StackView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/SwipeDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/SwipeView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Switch.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/SwitchDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/TabBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/TabButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/TextArea.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/TextField.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ToolBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ToolButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ToolSeparator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/ToolTip.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/TreeViewDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/Tumbler.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/VerticalHeaderView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/WeekNumberColumn.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/impl/libqtquickcontrols2basicstyleimplplugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/impl/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/impl/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/libqtquickcontrols2basicstyleplugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/Basic/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/ApplicationWindow.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/BusyIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Button.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/CheckBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/CheckDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/ComboBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/DelayButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Dial.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Dialog.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/DialogButtonBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Drawer.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Frame.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/GroupBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/HorizontalHeaderView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/ItemDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Label.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Menu.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/MenuBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/MenuBarItem.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/MenuItem.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/MenuSeparator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Page.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/PageIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Pane.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Popup.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/ProgressBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/RadioButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/RadioDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/RangeSlider.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/RoundButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/ScrollBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/ScrollIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/ScrollView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/SelectionRectangle.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Slider.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/SpinBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/SplitView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/SwipeDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Switch.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/SwitchDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/TabBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/TabButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/TextArea.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/TextField.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/ToolBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/ToolButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/ToolSeparator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/ToolTip.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/Tumbler.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/VerticalHeaderView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/ButtonPanel.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/CheckIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/RadioIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/SliderGroove.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/SliderHandle.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/SwitchIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/libqtquickcontrols2fusionstyleimplplugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/impl/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/libqtquickcontrols2fusionstyleplugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/Fusion/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/ApplicationWindow.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/BusyIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Button.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/CheckBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/CheckDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/ComboBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/DelayButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Dial.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Dialog.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/DialogButtonBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Drawer.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Frame.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/GroupBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/HorizontalHeaderView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/ItemDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Label.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Menu.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/MenuItem.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/MenuSeparator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Page.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/PageIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Pane.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Popup.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/ProgressBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/RadioButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/RadioDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/RangeSlider.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/RoundButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/ScrollBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/ScrollIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/ScrollView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/SelectionRectangle.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Slider.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/SpinBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/SplitView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/StackView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/SwipeDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/SwipeView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Switch.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/SwitchDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/TabBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/TabButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/TextArea.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/TextField.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/ToolBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/ToolButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/ToolSeparator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/ToolTip.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/Tumbler.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/VerticalHeaderView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/impl/OpacityMask.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/impl/libqtquickcontrols2imaginestyleimplplugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/impl/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/impl/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/libqtquickcontrols2imaginestyleplugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/Imagine/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/ApplicationWindow.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/BusyIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Button.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/CheckBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/CheckDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/ComboBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/DelayButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Dial.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Dialog.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/DialogButtonBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Drawer.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Frame.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/GroupBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/HorizontalHeaderView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/ItemDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Label.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Menu.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/MenuBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/MenuBarItem.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/MenuItem.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/MenuSeparator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Page.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/PageIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Pane.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Popup.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/ProgressBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/RadioButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/RadioDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/RangeSlider.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/RoundButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/ScrollBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/ScrollIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/ScrollView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/SelectionRectangle.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Slider.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/SpinBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/SplitView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/StackView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/SwipeDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/SwipeView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Switch.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/SwitchDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/TabBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/TabButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/TextArea.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/TextField.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/ToolBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/ToolButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/ToolSeparator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/ToolTip.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/Tumbler.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/VerticalHeaderView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/impl/BoxShadow.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/impl/CheckIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/impl/CursorDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/impl/ElevationEffect.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/impl/RadioIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/impl/RectangularGlow.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/impl/SliderHandle.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/impl/SwitchIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/impl/libqtquickcontrols2materialstyleimplplugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/impl/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/impl/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/libqtquickcontrols2materialstyleplugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/Material/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/ApplicationWindow.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/BusyIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Button.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/CheckBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/CheckDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/ComboBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/DelayButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Dial.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Dialog.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/DialogButtonBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Drawer.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Frame.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/GroupBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/HorizontalHeaderView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/ItemDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Label.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Menu.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/MenuBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/MenuBarItem.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/MenuItem.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/MenuSeparator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Page.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/PageIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Pane.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Popup.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/ProgressBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/RadioButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/RadioDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/RangeSlider.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/RoundButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/ScrollBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/ScrollIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/ScrollView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/SelectionRectangle.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Slider.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/SpinBox.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/SplitView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/StackView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/SwipeDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Switch.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/SwitchDelegate.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/TabBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/TabButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/TextArea.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/TextField.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/ToolBar.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/ToolButton.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/ToolSeparator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/ToolTip.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/Tumbler.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/VerticalHeaderView.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/CheckIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/RadioIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/SwitchIndicator.qml",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/libqtquickcontrols2universalstyleimplplugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/impl/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/libqtquickcontrols2universalstyleplugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/Universal/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/impl/libqtquickcontrols2implplugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/impl/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/impl/qmldir",
                    "./" + distDir + "/qml/QtQuick/Controls/libqtquickcontrols2plugin.so",
                    "./" + distDir + "/qml/QtQuick/Controls/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Controls/qmldir",
                    "./" + distDir + "/qml/QtQuick/Shapes/libqmlshapesplugin.so",
                    "./" + distDir + "/qml/QtQuick/Shapes/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Shapes/qmldir",
                    "./" + distDir + "/qml/QtQuick/Templates/libqtquicktemplates2plugin.so",
                    "./" + distDir + "/qml/QtQuick/Templates/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Templates/qmldir",
                    "./" + distDir + "/qml/QtQuick/Window/libquickwindowplugin.so",
                    "./" + distDir + "/qml/QtQuick/Window/qmldir",
                    "./" + distDir + "/qml/QtQuick/Window/quickwindow.qmltypes",
                    "./" + distDir + "/qml/QtQuick/libqtquick2plugin.so",
                    "./" + distDir + "/qml/QtQuick/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/qmldir",
                    "./" + distDir + "/translations/qtdeclarative_ar.qm",
                    "./" + distDir + "/translations/qtdeclarative_bg.qm",
                    "./" + distDir + "/translations/qtdeclarative_ca.qm",
                    "./" + distDir + "/translations/qtdeclarative_da.qm",
                    "./" + distDir + "/translations/qtdeclarative_de.qm",
                    "./" + distDir + "/translations/qtdeclarative_en.qm",
                    "./" + distDir + "/translations/qtdeclarative_es.qm",
                    "./" + distDir + "/translations/qtdeclarative_fa.qm",
                    "./" + distDir + "/translations/qtdeclarative_fi.qm",
                    "./" + distDir + "/translations/qtdeclarative_fr.qm",
                    "./" + distDir + "/translations/qtdeclarative_hr.qm",
                    "./" + distDir + "/translations/qtdeclarative_hu.qm",
                    "./" + distDir + "/translations/qtdeclarative_ja.qm",
                    "./" + distDir + "/translations/qtdeclarative_ko.qm",
                    "./" + distDir + "/translations/qtdeclarative_lv.qm",
                    "./" + distDir + "/translations/qtdeclarative_nl.qm",
                    "./" + distDir + "/translations/qtdeclarative_nn.qm",
                    "./" + distDir + "/translations/qtdeclarative_pl.qm",
                    "./" + distDir + "/translations/qtdeclarative_pt_BR.qm",
                    "./" + distDir + "/translations/qtdeclarative_ru.qm",
                    "./" + distDir + "/translations/qtdeclarative_sk.qm",
                    "./" + distDir + "/translations/qtdeclarative_tr.qm",
                    "./" + distDir + "/translations/qtdeclarative_uk.qm",
                    "./" + distDir + "/translations/qtdeclarative_zh_CN.qm",
                    "./" + distDir + "/translations/qtdeclarative_zh_TW.qm"
                }
        );
#endif
    return Tree;
}

QSet<QString> ModulesQt63::testDistroLibs(const QString &distDir) const {
    TestUtils utils;

    auto Tree = qtLibs(distDir);

    Tree = ignoreFilter(Tree, "/TestOnlyC");

#ifdef Q_OS_WIN
    Tree += utils.createTree(
        {

        }
        );

#else
    Tree += utils.createTree(
        {
             "./" + DISTRO_DIR + "/package1/TestOnlyC.sh",
             "./" + DISTRO_DIR + "/package1/bin/TestOnlyC",
             "./" + DISTRO_DIR + "/package1/bin/qt.conf",
             "./" + DISTRO_DIR + "/package2/pack/TestCPPOnly.sh",
             "./" + DISTRO_DIR + "/package2/pack/bin/TestCPPOnly",
             "./" + DISTRO_DIR + "/package2/pack/bin/qt.conf"
        }
        );
#endif

    return Tree;
}

QSet<QString> ModulesQt63::testOutLibs(const QString &) const {
    throw new std::runtime_error("The testOutLibs is deprecated");
}

QSet<QString> ModulesQt63::onlyC(const QString &distDir) const {
    return ModulesQt5152::onlyC(distDir);
}

QSet<QString> ModulesQt63::qtLibs(const QString &distDir) const {

        TestUtils utils;

        auto Tree = onlyC(distDir);

        Tree = ignoreFilter(Tree, "/TestOnlyC");

#ifdef Q_OS_WIN
        Tree += utils.createTree(
            {
                "./" + distDir + "/Qt6Core.dll",
                "./" + distDir + "/Qt6Gui.dll",
                "./" + distDir + "/Qt6Svg.dll",
                "./" + distDir + "/Qt6Widgets.dll",
                "./" + distDir + "/QtWidgetsProject.bat",
                "./" + distDir + "/QtWidgetsProject.exe",
                "./" + distDir + "/libgcc_s_seh-1.dll",
                "./" + distDir + "/libstdc++-6.dll",
                "./" + distDir + "/libwinpthread-1.dll",
                "./" + distDir + "/plugins/iconengines/qsvgicon.dll",
                "./" + distDir + "/plugins/imageformats/qgif.dll",
                "./" + distDir + "/plugins/imageformats/qicns.dll",
                "./" + distDir + "/plugins/imageformats/qico.dll",
                "./" + distDir + "/plugins/imageformats/qjpeg.dll",
                "./" + distDir + "/plugins/imageformats/qsvg.dll",
                "./" + distDir + "/plugins/imageformats/qtga.dll",
                "./" + distDir + "/plugins/imageformats/qtiff.dll",
                "./" + distDir + "/plugins/imageformats/qwbmp.dll",
                "./" + distDir + "/plugins/imageformats/qwebp.dll",
                "./" + distDir + "/plugins/platforms/qminimal.dll",
                "./" + distDir + "/plugins/platforms/qoffscreen.dll",
                "./" + distDir + "/plugins/platforms/qwindows.dll",
                "./" + distDir + "/plugins/styles/qwindowsvistastyle.dll",
                "./" + distDir + "/qt.conf",
                "./" + distDir + "/translations/qtbase_ar.qm",
                "./" + distDir + "/translations/qtbase_bg.qm",
                "./" + distDir + "/translations/qtbase_ca.qm",
                "./" + distDir + "/translations/qtbase_cs.qm",
                "./" + distDir + "/translations/qtbase_da.qm",
                "./" + distDir + "/translations/qtbase_de.qm",
                "./" + distDir + "/translations/qtbase_en.qm",
                "./" + distDir + "/translations/qtbase_es.qm",
                "./" + distDir + "/translations/qtbase_fa.qm",
                "./" + distDir + "/translations/qtbase_fi.qm",
                "./" + distDir + "/translations/qtbase_fr.qm",
                "./" + distDir + "/translations/qtbase_gd.qm",
                "./" + distDir + "/translations/qtbase_he.qm",
                "./" + distDir + "/translations/qtbase_hr.qm",
                "./" + distDir + "/translations/qtbase_hu.qm",
                "./" + distDir + "/translations/qtbase_it.qm",
                "./" + distDir + "/translations/qtbase_ja.qm",
                "./" + distDir + "/translations/qtbase_ko.qm",
                "./" + distDir + "/translations/qtbase_lv.qm",
                "./" + distDir + "/translations/qtbase_nl.qm",
                "./" + distDir + "/translations/qtbase_nn.qm",
                "./" + distDir + "/translations/qtbase_pl.qm",
                "./" + distDir + "/translations/qtbase_pt_BR.qm",
                "./" + distDir + "/translations/qtbase_ru.qm",
                "./" + distDir + "/translations/qtbase_sk.qm",
                "./" + distDir + "/translations/qtbase_tr.qm",
                "./" + distDir + "/translations/qtbase_uk.qm",
                "./" + distDir + "/translations/qtbase_zh_CN.qm",
                "./" + distDir + "/translations/qtbase_zh_TW.qm"
            });

#else
        Tree += utils.createTree(
            {
                "./" + distDir + "/QtWidgetsProject.sh",
                "./" + distDir + "/bin/QtWidgetsProject",
                "./" + distDir + "/bin/qt.conf",
                "./" + distDir + "/lib/libQt6Core.so",
                "./" + distDir + "/lib/libQt6DBus.so",
                "./" + distDir + "/lib/libQt6EglFSDeviceIntegration.so",
                "./" + distDir + "/lib/libQt6Gui.so",
                "./" + distDir + "/lib/libQt6Network.so",
                "./" + distDir + "/lib/libQt6OpenGL.so",
                "./" + distDir + "/lib/libQt6Pdf.so",
                "./" + distDir + "/lib/libQt6Svg.so",
                "./" + distDir + "/lib/libQt6WaylandClient.so",
                "./" + distDir + "/lib/libQt6WaylandEglClientHwIntegration.so",
                "./" + distDir + "/lib/libQt6Widgets.so",
                "./" + distDir + "/lib/libQt6WlShellIntegration.so",
                "./" + distDir + "/lib/libQt6XcbQpa.so",
                "./" + distDir + "/lib/libicudata.so",
                "./" + distDir + "/lib/libicui18n.so",
                "./" + distDir + "/lib/libicuuc.so",
                "./" + distDir + "/plugins/iconengines/libqsvgicon.so",
                "./" + distDir + "/plugins/imageformats/libqgif.so",
                "./" + distDir + "/plugins/imageformats/libqicns.so",
                "./" + distDir + "/plugins/imageformats/libqico.so",
                "./" + distDir + "/plugins/imageformats/libqjpeg.so",
                "./" + distDir + "/plugins/imageformats/libqpdf.so",
                "./" + distDir + "/plugins/imageformats/libqsvg.so",
                "./" + distDir + "/plugins/imageformats/libqtga.so",
                "./" + distDir + "/plugins/imageformats/libqtiff.so",
                "./" + distDir + "/plugins/imageformats/libqwbmp.so",
                "./" + distDir + "/plugins/imageformats/libqwebp.so",
                "./" + distDir + "/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so",
                "./" + distDir + "/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so",
                "./" + distDir + "/plugins/platforms/libqeglfs.so",
                "./" + distDir + "/plugins/platforms/libqlinuxfb.so",
                "./" + distDir + "/plugins/platforms/libqminimal.so",
                "./" + distDir + "/plugins/platforms/libqminimalegl.so",
                "./" + distDir + "/plugins/platforms/libqoffscreen.so",
                "./" + distDir + "/plugins/platforms/libqwayland-egl.so",
                "./" + distDir + "/plugins/platforms/libqwayland-generic.so",
                "./" + distDir + "/plugins/platforms/libqxcb.so",
                "./" + distDir + "/plugins/platformthemes/libqgtk3.so",
                "./" + distDir + "/plugins/platformthemes/libqxdgdesktopportal.so",
                "./" + distDir + "/plugins/wayland-shell-integration/libfullscreen-shell-v1.so",
                "./" + distDir + "/plugins/wayland-shell-integration/libivi-shell.so",
                "./" + distDir + "/plugins/wayland-shell-integration/libqt-shell.so",
                "./" + distDir + "/plugins/wayland-shell-integration/libwl-shell-plugin.so",
                "./" + distDir + "/plugins/wayland-shell-integration/libxdg-shell.so",
                "./" + distDir + "/plugins/xcbglintegrations/libqxcb-egl-integration.so",
                "./" + distDir + "/plugins/xcbglintegrations/libqxcb-glx-integration.so",
                "./" + distDir + "/translations/qtbase_ar.qm",
                "./" + distDir + "/translations/qtbase_bg.qm",
                "./" + distDir + "/translations/qtbase_ca.qm",
                "./" + distDir + "/translations/qtbase_cs.qm",
                "./" + distDir + "/translations/qtbase_da.qm",
                "./" + distDir + "/translations/qtbase_de.qm",
                "./" + distDir + "/translations/qtbase_en.qm",
                "./" + distDir + "/translations/qtbase_es.qm",
                "./" + distDir + "/translations/qtbase_fa.qm",
                "./" + distDir + "/translations/qtbase_fi.qm",
                "./" + distDir + "/translations/qtbase_fr.qm",
                "./" + distDir + "/translations/qtbase_gd.qm",
                "./" + distDir + "/translations/qtbase_he.qm",
                "./" + distDir + "/translations/qtbase_hr.qm",
                "./" + distDir + "/translations/qtbase_hu.qm",
                "./" + distDir + "/translations/qtbase_it.qm",
                "./" + distDir + "/translations/qtbase_ja.qm",
                "./" + distDir + "/translations/qtbase_ko.qm",
                "./" + distDir + "/translations/qtbase_lv.qm",
                "./" + distDir + "/translations/qtbase_nl.qm",
                "./" + distDir + "/translations/qtbase_nn.qm",
                "./" + distDir + "/translations/qtbase_pl.qm",
                "./" + distDir + "/translations/qtbase_pt_BR.qm",
                "./" + distDir + "/translations/qtbase_ru.qm",
                "./" + distDir + "/translations/qtbase_sk.qm",
                "./" + distDir + "/translations/qtbase_tr.qm",
                "./" + distDir + "/translations/qtbase_uk.qm",
                "./" + distDir + "/translations/qtbase_zh_CN.qm",
                "./" + distDir + "/translations/qtbase_zh_TW.qm"
            }
            );
#endif
        return Tree;
}

QSet<QString> ModulesQt63::qmlVirtualKeyBoadrLibs(const QString &distDir) const {

    TestUtils utils;

    auto Tree = qmlLibs(distDir);

    Tree = ignoreFilter(Tree, "/TestQMLWidgets");

#ifdef Q_OS_WIN
    Tree += utils.createTree(
                {
                }
        );

#else
    Tree += utils.createTree(
                {
                    "./" + distDir + "/basic.sh",
                    "./" + distDir + "/bin/basic",
                    "./" + distDir + "/lib/libQt6LabsFolderListModel.so",
                    "./" + distDir + "/lib/libQt6QuickLayouts.so",
                    "./" + distDir + "/lib/libQt6VirtualKeyboard.so",
                    "./" + distDir + "/plugins/platforminputcontexts/libqtvirtualkeyboardplugin.so",
                    "./" + distDir + "/plugins/virtualkeyboard/libqtvirtualkeyboard_hangul.so",
                    "./" + distDir + "/plugins/virtualkeyboard/libqtvirtualkeyboard_openwnn.so",
                    "./" + distDir + "/plugins/virtualkeyboard/libqtvirtualkeyboard_pinyin.so",
                    "./" + distDir + "/plugins/virtualkeyboard/libqtvirtualkeyboard_tcime.so",
                    "./" + distDir + "/plugins/virtualkeyboard/libqtvirtualkeyboard_thai.so",
                    "./" + distDir + "/qml/Qt/labs/folderlistmodel/libqmlfolderlistmodelplugin.so",
                    "./" + distDir + "/qml/Qt/labs/folderlistmodel/plugins.qmltypes",
                    "./" + distDir + "/qml/Qt/labs/folderlistmodel/qmldir",
                    "./" + distDir + "/qml/QtQuick/Layouts/libqquicklayoutsplugin.so",
                    "./" + distDir + "/qml/QtQuick/Layouts/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Layouts/qmldir",
                    "./" + distDir + "/qml/QtQuick/VirtualKeyboard/Settings/libqtquickvirtualkeyboardsettingsplugin.so",
                    "./" + distDir + "/qml/QtQuick/VirtualKeyboard/Settings/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/VirtualKeyboard/Settings/qmldir",
                    "./" + distDir + "/qml/QtQuick/VirtualKeyboard/Styles/libqtquickvirtualkeyboardstylesplugin.so",
                    "./" + distDir + "/qml/QtQuick/VirtualKeyboard/Styles/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/VirtualKeyboard/Styles/qmldir",
                    "./" + distDir + "/qml/QtQuick/VirtualKeyboard/libqtquickvirtualkeyboardplugin.so",
                    "./" + distDir + "/qml/QtQuick/VirtualKeyboard/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/VirtualKeyboard/qmldir"
                }
        );
#endif
    return Tree;
}

QSet<QString> ModulesQt63::qtWithoutTr(const QString &distDir) const {
    return ignoreFilter(qtLibs(distDir), "translations");
}

QSet<QString> ModulesQt63::qtWebEngine(const QString &distDir) const
{
    TestUtils utils;

    auto Tree = qmlLibs(distDir);

    Tree = ignoreFilter(Tree, "/TestQMLWidgets");

#ifdef Q_OS_WIN
    Tree += utils.createTree(
                {}
        );

#else
    Tree += utils.createTree(
                {
                    "./" + distDir + "/bin/QtWebEngineProcess",
                    "./" + distDir + "/bin/quicknanobrowser",
                    "./" + distDir + "/lib/libQt6LabsSettings.so",
                    "./" + distDir + "/lib/libQt6Positioning.so",
                    "./" + distDir + "/lib/libQt6QuickLayouts.so",
                    "./" + distDir + "/lib/libQt6SerialPort.so",
                    "./" + distDir + "/lib/libQt6WebChannel.so",
                    "./" + distDir + "/lib/libQt6WebEngineCore.so",
                    "./" + distDir + "/lib/libQt6WebEngineQuick.so",
                    "./" + distDir + "/plugins/position/libqtposition_geoclue2.so",
                    "./" + distDir + "/plugins/position/libqtposition_nmea.so",
                    "./" + distDir + "/plugins/position/libqtposition_positionpoll.so",
                    "./" + distDir + "/qml/Qt/labs/settings/libqmlsettingsplugin.so",
                    "./" + distDir + "/qml/Qt/labs/settings/plugins.qmltypes",
                    "./" + distDir + "/qml/Qt/labs/settings/qmldir",
                    "./" + distDir + "/qml/QtQuick/Layouts/libqquicklayoutsplugin.so",
                    "./" + distDir + "/qml/QtQuick/Layouts/plugins.qmltypes",
                    "./" + distDir + "/qml/QtQuick/Layouts/qmldir",
                    "./" + distDir + "/qml/QtWebEngine/libqtwebenginequickplugin.so",
                    "./" + distDir + "/qml/QtWebEngine/plugins.qmltypes",
                    "./" + distDir + "/qml/QtWebEngine/qmldir",
                    "./" + distDir + "/quicknanobrowser.sh",
                    "./" + distDir + "/resources/icudtl.dat",
                    "./" + distDir + "/resources/qtwebengine_devtools_resources.pak",
                    "./" + distDir + "/resources/qtwebengine_resources.pak",
                    "./" + distDir + "/resources/qtwebengine_resources_100p.pak",
                    "./" + distDir + "/resources/qtwebengine_resources_200p.pak",
                    "./" + distDir + "/translations/qtserialport_de.qm",
                    "./" + distDir + "/translations/qtserialport_en.qm",
                    "./" + distDir + "/translations/qtserialport_es.qm",
                    "./" + distDir + "/translations/qtserialport_ja.qm",
                    "./" + distDir + "/translations/qtserialport_ko.qm",
                    "./" + distDir + "/translations/qtserialport_pl.qm",
                    "./" + distDir + "/translations/qtserialport_ru.qm",
                    "./" + distDir + "/translations/qtserialport_uk.qm",
                    "./" + distDir + "/translations/qtwebengine_ca.qm",
                    "./" + distDir + "/translations/qtwebengine_de.qm",
                    "./" + distDir + "/translations/qtwebengine_en.qm",
                    "./" + distDir + "/translations/qtwebengine_es.qm",
                    "./" + distDir + "/translations/qtwebengine_ko.qm",
                    "./" + distDir + "/translations/qtwebengine_locales/am.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ar.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/bg.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/bn.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ca.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/cs.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/da.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/de.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/el.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/en-GB.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/en-US.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/es-419.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/es.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/et.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/fa.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/fi.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/fil.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/fr.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/gu.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/he.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/hi.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/hr.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/hu.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/id.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/it.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ja.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/kn.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ko.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/lt.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/lv.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ml.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/mr.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ms.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/nb.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/nl.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/pl.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/pt-BR.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/pt-PT.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ro.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ru.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/sk.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/sl.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/sr.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/sv.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/sw.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ta.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/te.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/th.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/tr.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/uk.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/vi.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/zh-CN.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/zh-TW.pak",
                    "./" + distDir + "/translations/qtwebengine_pl.qm",
                    "./" + distDir + "/translations/qtwebengine_ru.qm",
                    "./" + distDir + "/translations/qtwebengine_uk.qm",
                    "./" + distDir + "/translations/qtwebengine_zh_CN.qm"
                }
        );
#endif
    return Tree;
}

QSet<QString> ModulesQt63::qtWebEngineWidgets(const QString &distDir) const {
    TestUtils utils;

    auto Tree = qtLibs(distDir);

    Tree = ignoreFilter(Tree, "/QtWidgetsProject");

#ifdef Q_OS_WIN
    Tree += utils.createTree(
                {
                }
        );

#else
    Tree += utils.createTree(
                {
                    "./" + distDir + "/bin/QtWebEngineProcess",
                    "./" + distDir + "/bin/webui",
                    "./" + distDir + "/lib/libQt6Positioning.so",
                    "./" + distDir + "/lib/libQt6PrintSupport.so",
                    "./" + distDir + "/lib/libQt6Qml.so",
                    "./" + distDir + "/lib/libQt6QmlModels.so",
                    "./" + distDir + "/lib/libQt6Quick.so",
                    "./" + distDir + "/lib/libQt6QuickWidgets.so",
                    "./" + distDir + "/lib/libQt6SerialPort.so",
                    "./" + distDir + "/lib/libQt6WaylandCompositor.so",
                    "./" + distDir + "/lib/libQt6WaylandEglCompositorHwIntegration.so",
                    "./" + distDir + "/lib/libQt6WebChannel.so",
                    "./" + distDir + "/lib/libQt6WebEngineCore.so",
                    "./" + distDir + "/lib/libQt6WebEngineWidgets.so",
                    "./" + distDir + "/plugins/position/libqtposition_geoclue2.so",
                    "./" + distDir + "/plugins/position/libqtposition_nmea.so",
                    "./" + distDir + "/plugins/position/libqtposition_positionpoll.so",
                    "./" + distDir + "/plugins/printsupport/libcupsprintersupport.so",
                    "./" + distDir + "/plugins/tls/libqcertonlybackend.so",
                    "./" + distDir + "/plugins/tls/libqopensslbackend.so",
                    "./" + distDir + "/plugins/wayland-decoration-client/libbradient.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-client/libdmabuf-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-client/libdrm-egl-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-client/libqt-plugin-wayland-egl.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-client/libshm-emulation-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-client/libvulkan-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-dmabuf-server-buffer.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-drm-egl-server-buffer.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-linux-dmabuf-unstable-v1.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-shm-emulation-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-vulkan-server.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-wayland-egl.so",
                    "./" + distDir + "/plugins/wayland-graphics-integration-server/libqt-wayland-compositor-wayland-eglstream-controller.so",
                    "./" + distDir + "/resources/icudtl.dat",
                    "./" + distDir + "/resources/qtwebengine_devtools_resources.pak",
                    "./" + distDir + "/resources/qtwebengine_resources.pak",
                    "./" + distDir + "/resources/qtwebengine_resources_100p.pak",
                    "./" + distDir + "/resources/qtwebengine_resources_200p.pak",
                    "./" + distDir + "/translations/qtdeclarative_ar.qm",
                    "./" + distDir + "/translations/qtdeclarative_bg.qm",
                    "./" + distDir + "/translations/qtdeclarative_ca.qm",
                    "./" + distDir + "/translations/qtdeclarative_da.qm",
                    "./" + distDir + "/translations/qtdeclarative_de.qm",
                    "./" + distDir + "/translations/qtdeclarative_en.qm",
                    "./" + distDir + "/translations/qtdeclarative_es.qm",
                    "./" + distDir + "/translations/qtdeclarative_fa.qm",
                    "./" + distDir + "/translations/qtdeclarative_fi.qm",
                    "./" + distDir + "/translations/qtdeclarative_fr.qm",
                    "./" + distDir + "/translations/qtdeclarative_hr.qm",
                    "./" + distDir + "/translations/qtdeclarative_hu.qm",
                    "./" + distDir + "/translations/qtdeclarative_ja.qm",
                    "./" + distDir + "/translations/qtdeclarative_ko.qm",
                    "./" + distDir + "/translations/qtdeclarative_lv.qm",
                    "./" + distDir + "/translations/qtdeclarative_nl.qm",
                    "./" + distDir + "/translations/qtdeclarative_nn.qm",
                    "./" + distDir + "/translations/qtdeclarative_pl.qm",
                    "./" + distDir + "/translations/qtdeclarative_pt_BR.qm",
                    "./" + distDir + "/translations/qtdeclarative_ru.qm",
                    "./" + distDir + "/translations/qtdeclarative_sk.qm",
                    "./" + distDir + "/translations/qtdeclarative_tr.qm",
                    "./" + distDir + "/translations/qtdeclarative_uk.qm",
                    "./" + distDir + "/translations/qtdeclarative_zh_CN.qm",
                    "./" + distDir + "/translations/qtdeclarative_zh_TW.qm",
                    "./" + distDir + "/translations/qtserialport_de.qm",
                    "./" + distDir + "/translations/qtserialport_en.qm",
                    "./" + distDir + "/translations/qtserialport_es.qm",
                    "./" + distDir + "/translations/qtserialport_ja.qm",
                    "./" + distDir + "/translations/qtserialport_ko.qm",
                    "./" + distDir + "/translations/qtserialport_pl.qm",
                    "./" + distDir + "/translations/qtserialport_ru.qm",
                    "./" + distDir + "/translations/qtserialport_uk.qm",
                    "./" + distDir + "/translations/qtwebengine_ca.qm",
                    "./" + distDir + "/translations/qtwebengine_de.qm",
                    "./" + distDir + "/translations/qtwebengine_en.qm",
                    "./" + distDir + "/translations/qtwebengine_es.qm",
                    "./" + distDir + "/translations/qtwebengine_ko.qm",
                    "./" + distDir + "/translations/qtwebengine_locales/am.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ar.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/bg.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/bn.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ca.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/cs.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/da.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/de.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/el.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/en-GB.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/en-US.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/es-419.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/es.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/et.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/fa.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/fi.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/fil.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/fr.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/gu.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/he.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/hi.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/hr.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/hu.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/id.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/it.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ja.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/kn.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ko.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/lt.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/lv.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ml.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/mr.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ms.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/nb.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/nl.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/pl.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/pt-BR.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/pt-PT.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ro.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ru.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/sk.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/sl.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/sr.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/sv.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/sw.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/ta.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/te.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/th.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/tr.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/uk.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/vi.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/zh-CN.pak",
                    "./" + distDir + "/translations/qtwebengine_locales/zh-TW.pak",
                    "./" + distDir + "/translations/qtwebengine_pl.qm",
                    "./" + distDir + "/translations/qtwebengine_ru.qm",
                    "./" + distDir + "/translations/qtwebengine_uk.qm",
                    "./" + distDir + "/translations/qtwebengine_zh_CN.qm",
                    "./" + distDir + "/webui.sh"
                }
             );
#endif
    return Tree;
}

QSet<QString> ModulesQt63::testEmptyParamsTree(const QString &) const
{
    return {};
}
